# TO-252/DPAK SMD packages
base:
    series: TO-252                                                   
    description: 'TO-252/DPAK SMD package'
    keywords: 'DPAK TO-252'
    footprint:
        x_mm: 10.6
        tab:
            x_mm: 6.4
            y_mm: 5.8
        split_paste: 'on'
        paste_gutter_mm: 0.3
    device:
        x_mm: 9.9                                                    
        body:
            x_mm: 6.22                                               
            y_mm: 6.5
            z_mm: 2.3                                                
            waist_z_mm: 0.9                                          
            marker_offset_x_mm: -1.5                                 
            colour: 'black body'                                     
        tab:
            x_mm: 5.24                                               
            y_mm: 5.4
            z_mm: 0.5                                                
            project_x_mm: 1.0
            colour: 'metal grey pins'                                
        marker:
            x_mm: 1.0                                                
            z_mm: 0.1                                                
        pins:
            colour: 'metal grey pins'                                
    3d_prefix: '${KICAD6_3DMODEL_DIR}/Package_TO_SOT_SMD.3dshapes'
variants:
    - pins: 3                                                        
      pitch_mm: 2.28
      pad:
          x_mm: 2.2
          y_mm: 1.2
      pin:
          x_mm: 2.7
          y_mm: 0.75
          z_mm: 0.5                                                  
      centre_pin: ['cut', 'uncut']
      keywords: 'DPAK-3 TO-252-3 SOT-428'
      datasheet: http://www.infineon.com/cms/en/product/packages/PG-TO252/PG-TO252-3-1/
    - pins: 5                                                        
      pitch_mm: 1.14
      pad:
          x_mm: 2.2
          y_mm: 0.8
      pin:
          x_mm: 2.7
          y_mm: 0.6
          z_mm: 0.5                                                  
      centre_pin: ['cut', 'uncut']
      keywords: 'DPAK-5 TO-252-5'
      datasheet: http://www.infineon.com/cms/en/product/packages/PG-TO252/PG-TO252-5-11/
---
# TO-263/D2PAK SMD packages
base:
    series: TO-263                                                   
    description: 'TO-263/D2PAK/DDPAK SMD package'
    keywords: 'D2PAK DDPAK TO-263'
    footprint:
        x_mm: 16.15
        tab:
            x_mm: 9.4
            y_mm: 10.8
        split_paste: 'on'
        paste_gutter_mm: 0.3
    device:
        x_mm: 15.0
        body:
            x_mm: 9.25
            y_mm: 10.0
            z_mm: 4.4                                                 
            waist_z_mm: 2.4                                           
            marker_offset_x_mm: 0.0                                  
            colour: 'black body'                                     
        tab:
            x_mm: 7.55                                                
            y_mm: 10.0
            z_mm: 1.27                                                
            project_x_mm: 1.0
            colour: 'metal grey pins'                                
        marker:
            x_mm: 2.5                                                 
            z_mm: 0.1                                                 
        pins:
            colour: 'metal grey pins'                                
    3d_prefix: '${KICAD6_3DMODEL_DIR}/Package_TO_SOT_SMD.3dshapes'
variants:
    - pins: 3                                                        
      pitch_mm: 2.54
      pad:
          x_mm: 4.6
          y_mm: 1.1
      pin:
          x_mm: 4.7
          y_mm: 1.0
          z_mm: 0.5                                                   
      centre_pin: ['cut', 'uncut']
      keywords: 'D2PAK-3 TO-263-3 SOT-404'
      datasheet: http://www.infineon.com/cms/en/product/packages/PG-TO263/PG-TO263-3-1/
    - pins: 5                                                        
      pitch_mm: 1.7
      pad:
          x_mm: 4.6
          y_mm: 1.1
      pin:
          x_mm: 4.7
          y_mm: 0.8
          z_mm: 0.5                                                   
      centre_pin: ['cut', 'uncut']
      keywords: 'D2PAK-5 TO-263-5 SOT-426'
      datasheet: http://www.infineon.com/cms/en/product/packages/PG-TO263/PG-TO263-5-1/
    - pins: 7
      pitch_mm: 1.27
      pad:
          x_mm: 4.6
          y_mm: 0.8
      pin:
          x_mm: 4.7
          y_mm: 0.6
          z_mm: 0.5                                                   
      centre_pin: ['cut', 'uncut']
      keywords: 'D2PAK-7 TO-263-7 SOT-427'
      datasheet: http://www.infineon.com/cms/en/product/packages/PG-TO263/PG-TO263-7-1/
---
# Texas Instruments NDW SMD packages
base:
    series: Texas_NDW
    description: 'NDW0007A SMD package'
    keywords: 'NDW'
    footprint:
        x_mm: 13.105
        tab:
            x_mm: 8.54
            y_mm: 5.35
        split_paste: 'on'
        paste_gutter_mm: 0.3
    device:
        x_mm: 13.77
        body:
            x_mm: 9.85
            y_mm: 10.16
            z_mm: 4.57
            waist_z_mm: 0.6
            marker_offset_x_mm: 0.0
            colour: 'black body'
        tab:
            x_mm: 8.54
            y_mm: 6.4
            z_mm: 0.8635 # Average pin thickness plus distance to bottom side
            project_x_mm: -1.01 # the pad is hidden by the body, therefore the value is negative
            colour: 'metal grey pins'
        marker:
            x_mm: 2.5
            z_mm: 0.1
        pins:
            colour: 'metal grey pins'
    3d_prefix: '${KICAD6_3DMODEL_DIR}/Package_TO_SOT_SMD.3dshapes'
variants:
    - pins: 7
      pitch_mm: 1.27
      pad:
          x_mm: 3.06
          y_mm: 0.89
      pin:
          x_mm: 3.92
          y_mm: 0.69
          z_mm: 0.2635 # average thickness

      centre_pin: ['uncut']
      keywords: 'NDW'
      datasheet: http://www.ti.com/lit/ml/mmsf024/mmsf024.pdf
---
# TO-268/D3PAK SMD packages
base:
    series: TO-268                                                   
    description: 'TO-268/D3PAK SMD package'
    keywords: 'D3PAK TO-268'
    footprint:
        x_mm: 21.95
        tab:
            x_mm: 13.5
            y_mm: 16.6
        split_paste: 'on'
        paste_gutter_mm: 0.3
    device:
        x_mm: 19.0
        body:
            x_mm: 14.0
            y_mm: 15.9
            z_mm: 5.0                                                 
            waist_z_mm: 2.8                                           
            marker_offset_x_mm: -1.0                                  
            colour: 'black body'                                     
        tab:
            x_mm: 12.5                                                
            y_mm: 15.9
            z_mm: 1.5                                                 
            project_x_mm: 1.0
            colour: 'metal grey pins'                                
        marker:
            x_mm: 2.5                                                 
            z_mm: 0.1                                                 
        pins:
            colour: 'metal grey pins'                                
    3d_prefix: '${KICAD6_3DMODEL_DIR}/Package_TO_SOT_SMD.3dshapes'
variants:
    - pins: 3                                                        
      pitch_mm: 5.45
      pad:
          x_mm: 5.0
          y_mm: 3.0
      pin:
          x_mm: 3.9
          y_mm: 1.3
          z_mm: 0.5                                                  
      centre_pin: ['cut']
      keywords: 'D3PAK-3 TO-268-3'
      datasheet: http://www.icbank.com/icbank_data/semi_package/to268aa_dim.pdf
---
# ATPAK SMD packages
base:
    series: ATPAK                                                   
    description: 'ATPAK SMD package'
    keywords: 'ATPAK'
    footprint:
        x_mm: 10.3
        tab:
            x_mm: 6.7
            y_mm: 6.5
        split_paste: 'on'
        paste_gutter_mm: 0.3
    device:
        x_mm: 9.5
        body:
            x_mm: 7.3
            y_mm: 6.5
            z_mm: 1.5                                                 
            waist_z_mm: 0.4                                           
            marker_offset_x_mm: 2.0                                  
            colour: 'black body'                                     
        tab:
            x_mm: 6.05                                             
            y_mm: 6.5
            z_mm: 0.4                                                
            project_x_mm: 0.5
            colour: 'metal grey pins'                                
        marker:
            x_mm: 1.0                                                 
            z_mm: 0.1                                                 
        pins:
            colour: 'metal grey pins'                                
    3d_prefix: '${KICAD6_3DMODEL_DIR}/Package_TO_SOT_SMD.3dshapes'
variants:
    - pins: 3                                                        
      pitch_mm: 2.3
      pad:
          x_mm: 1.6
          y_mm: 1.5
      pin:
          x_mm: 1.7
          y_mm: 0.6
          z_mm: 0.4                                                   
      centre_pin: ['cut']
      keywords: ''
      datasheet: http://www.onsemi.com/pub/Collateral/ENA2192-D.PDF

